%global __requires_exclude %{?__requires_exclude:__requires_exclude|}perl\\(Class::XSAccessor::Heavy\\)

Summary:       Generate fast XS accessors without run-time compilation
Name:          perl-Class-XSAccessor
Version:       1.19
Release:       5%{?dist}
License:       GPL+ or Artistic
URL:           https://metacpan.org/release/Class-XSAccessor
Source0:       https://cpan.metacpan.org/authors/id/S/SM/SMUELLER/Class-XSAccessor-%{version}.tar.gz

BuildRequires: coreutils findutils gcc make perl-interpreter perl-devel perl-generators
BuildRequires: perl(Config) perl(ExtUtils::MakeMaker) perl(strict) perl(warnings) perl(Carp)
BuildRequires: perl(XSLoader) perl(constant) perl(Data::Dumper) perl(Test::More) perl(threads) perl(Time::HiRes)

%description
Class::XSAccessor implements fast read, write and read/write accessors in XS. Additionally, it can
provide predicates such as has_foo() for testing whether the attribute foo is defined in the object.
It only works with objects that are implemented as ordinary hashes. Class::XSAccessor::Array
implements the same interface for objects that use arrays for their internal representation.

%prep
%autosetup -n Class-XSAccessor-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Class*
%{_mandir}/man3/Class::*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.19-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.19-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 Shuo Wang <abushwang@tencent.com> - 1.19-1
- initial build
